*** ../pbm/pbmtext.c.orig	Fri Jun 28 23:28:43 1991
--- pbmtext.c	Mon Oct 11 11:08:35 1993
***************
*** 8,19 ****
  ** copyright notice and this permission notice appear in supporting
  ** documentation.  This software is provided "as is" without express or
  ** implied warranty.
  */
  
  #include "pbm.h"
  #include "pbmfont.h"
  
- static void fix_control_chars ARGS(( char* buf ));
  static void fill_rect ARGS(( bit** bits, int row0, int col0, int height, int width, bit color ));
  static void copy_rect ARGS(( bit** fbits, int frow0, int fcol0, int height, int width, bit** tbits, int trow0, int tcol0 ));
  
--- 8,21 ----
  ** copyright notice and this permission notice appear in supporting
  ** documentation.  This software is provided "as is" without express or
  ** implied warranty.
+ **
+ ** Patched to use 8 bit characters by : Asher Serussi
+ **
  */
  
  #include "pbm.h"
  #include "pbmfont.h"
  
  static void fill_rect ARGS(( bit** bits, int row0, int col0, int height, int width, bit color ));
  static void copy_rect ARGS(( bit** fbits, int frow0, int fcol0, int height, int width, bit** tbits, int trow0, int tcol0 ));
  
***************
*** 29,40 ****
      FILE* ifp;
      int dump;
      int char_width, char_height, char_awidth, char_aheight, vmargin, hmargin;
!     int char_row0[95];
!     int char_col0[95];
      char buf[5000];
      char** lp;
      int lines, maxlines, maxchars, line;
!     char* cp;
      char* usage = "[-font <fontfile>] [text]";
  
      pbm_init( &argc, argv );
--- 31,42 ----
      FILE* ifp;
      int dump;
      int char_width, char_height, char_awidth, char_aheight, vmargin, hmargin;
!     int char_row0[255];
!     int char_col0[255];
      char buf[5000];
      char** lp;
      int lines, maxlines, maxchars, line;
!     unsigned char* cp;
      char* usage = "[-font <fontfile>] [text]";
  
      pbm_init( &argc, argv );
***************
*** 86,92 ****
  	    (void) strcat( buf, argv[argn] );
  	    ++argn;
  	    }
- 	fix_control_chars( buf );
  	maxchars = strlen( buf );
  	lp[0] = buf;
  	lines = 1;
--- 88,93 ----
***************
*** 99,105 ****
  	    {
  	    int l;
  
- 	    fix_control_chars( buf );
  	    l = strlen( buf );
  	    maxchars = max( maxchars, l );
  	    if ( lines >= maxlines )
--- 100,105 ----
***************
*** 144,150 ****
  
  	for ( cp = lp[line]; *cp != '\0'; ++cp )
  	    {
! 	    copy_rect( font, char_row0[*cp - ' '], char_col0[*cp - ' '],
  		       char_height, char_width, bits, row, col );
  	    col += char_width;
  	    }
--- 144,150 ----
  
  	for ( cp = lp[line]; *cp != '\0'; ++cp )
  	    {
! 	    copy_rect( font, char_row0[*cp ], char_col0[*cp ],
  		       char_height, char_width, bits, row, col );
  	    col += char_width;
  	    }
***************
*** 156,184 ****
      exit( 0 );
      }
  
- static void
- fix_control_chars( buf )
-     char* buf;
-     {
-     int i, j, n, l;
- 
-     for ( i = 0; buf[i] != '\0'; ++i )
- 	{
- 	if ( buf[i] == '\t' )
- 	    { /* Turn tabs into the right number of spaces. */
- 	    n = ( i + 8 ) / 8 * 8;
- 	    l = strlen( buf );
- 	    for ( j = l; j > i; --j )
- 		buf[j + n - i - 1] = buf[j];
- 	    for ( ; i < n; ++i )
- 		buf[i] = ' ';
- 	    --i;
- 	    }
- 	else if ( buf[i] < ' ' || buf[i] > '~' )
- 	    /* Turn other control chars into a single space. */
- 	    buf[i] = ' ';
- 	}
-     }
  
  #if __STDC__
  static void
--- 156,161 ----
***************
*** 206,212 ****
      int trow0, tcol0;
      {
      int row, col;
! 
      for ( row = 0; row < height; ++row )
  	for ( col = 0; col < width; ++col )
  	    tbits[trow0 + row][tcol0 + col] = fbits[frow0 + row][fcol0 + col];
--- 183,189 ----
      int trow0, tcol0;
      {
      int row, col;
!     
      for ( row = 0; row < height; ++row )
  	for ( col = 0; col < width; ++col )
  	    tbits[trow0 + row][tcol0 + col] = fbits[frow0 + row][fcol0 + col];
*** ../pbm/pbmtext.1.orig	Tue Jun  4 22:27:49 1991
--- pbmtext.1	Mon Oct 11 11:09:23 1993
***************
*** 23,43 ****
  .I fontfile
  is a pbm file, created in a very specific way.
  In your window system of choice, display the following text
! in the desired (fixed-width) font:
  .nf
  
!     M ",/^_[`jpqy| M
  
!     /  !"#$%&'()*+ /
!     < ,-./01234567 <
!     > 89:;<=>?@ABC >
!     @ DEFGHIJKLMNO @
!     _ PQRSTUVWXYZ[ _
!     { \\]^_`abcdefg {
!     } hijklmnopqrs }
!     ~ tuvwxyz{|}~  ~
  
!     M ",/^_[`jpqy| M
  
  .fi
  Do a screen grab or window dump of that text, using for instance
--- 23,51 ----
  .I fontfile
  is a pbm file, created in a very specific way.
  In your window system of choice, display the following text
! in the desired (fixed-width) 8 bit font:
  .nf
  
!         M -M",/^_[`jpqyMMM -
  
!         M                  M
!         _                  M
!         _  !"#$%&'()*+,-./ M
!         _ 0123456789:;<=>? M
!         _ @ABCDEFGHIJKLMNO M
!         _ PQRSTUVWXYZ[\]^_ M
!         _ `abcdefghijklmno M
!         _ pqrstuvwxyz{|}~  M
!         _                  M
!         _                  M
!         _  M
!         _  M
!         _  M
!         _  M
!         _  M
!         _ 
  
!         M -M",/^_[`jpqyMMM -
  
  .fi
  Do a screen grab or window dump of that text, using for instance
*** ../pbm/libpbm5.c.orig	Fri Jun 28 23:34:48 1991
--- libpbm5.c	Mon Oct 11 11:09:39 1993
***************
*** 10,15 ****
--- 10,18 ----
  ** copyright notice and this permission notice appear in supporting
  ** documentation.  This software is provided "as is" without express or
  ** implied warranty.
+ **
+ ** Patched to use 8 bit characters by : Asher Serussi
+ **
  */
  
  #include "pbm.h"
***************
*** 18,181 ****
  /* The default font, packed in hex so this source file doesn't get huge.
  ** You can replace this with your own font using pbm_dumpfont().
  */
! #define DEFAULTFONT_ROWS 155
! #define DEFAULTFONT_COLS 112
  static unsigned long defaultfont_bits[DEFAULTFONT_ROWS][(DEFAULTFONT_COLS+31)/32] = {
!     {0x00000000L,0x20000c00L,0x10000000L,0x00000000L},
!     {0xc600a000L,0x42000810L,0x00000002L,0x00000063L},
!     {0x6c00a000L,0x45000810L,0x00000002L,0x00000036L},
!     {0x6c00a000L,0x88800808L,0xf2e1dee2L,0x00000036L},
!     {0x54000000L,0x80000800L,0x11122442L,0x0000002aL},
!     {0x54000001L,0x00000800L,0x11122442L,0x0000002aL},
!     {0x54000001L,0x00000800L,0x11122282L,0x0000002aL},
!     {0x44000102L,0x00000800L,0x11122382L,0x00000022L},
!     {0xee000102L,0x00000800L,0x11e1e102L,0x00000077L},
!     {0x00000204L,0x00000800L,0x11002102L,0x00000000L},
!     {0x00000000L,0x00000c00L,0x11002102L,0x00000000L},
!     {0x00000000L,0x003f8000L,0xe3807600L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x02000080L,0x00040000L,0x00120000L,0x00000001L},
!     {0x04000082L,0x828e1838L,0x20210100L,0x00000002L},
!     {0x04000082L,0x82912448L,0x20210100L,0x00000002L},
!     {0x08000082L,0x8fd01940L,0x404087c2L,0x00000004L},
!     {0x08000080L,0x050c0622L,0x00408102L,0x00000004L},
!     {0x10000080L,0x05061874L,0x0040828fL,0x00008008L},
!     {0x10000080L,0x1f912688L,0x00408002L,0x00000008L},
!     {0x20000000L,0x0a11098cL,0x00408002L,0x00000010L},
!     {0x20000080L,0x0a0e0672L,0x00210000L,0x00000010L},
!     {0x40000000L,0x00040000L,0x00210000L,0x00000020L},
!     {0x00000000L,0x00000000L,0x00120000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x004e0838L,0x7023e1cfL,0x00008000L},
!     {0x00000000L,0x00913844L,0x88620208L,0x00008000L},
!     {0x08000000L,0x00910844L,0x08a20401L,0x00000004L},
!     {0x10000000L,0x01110844L,0x08a20401L,0x00000008L},
!     {0x20000000L,0x01110808L,0x3123c781L,0x00000010L},
!     {0x400003e0L,0x02110810L,0x0a202441L,0x00000020L},
!     {0x20000000L,0x02110820L,0x0bf02442L,0x00000010L},
!     {0x10008000L,0x04110844L,0x88242442L,0x00000008L},
!     {0x08008002L,0x040e3e7cL,0x7073c382L,0x00000004L},
!     {0x00010000L,0x08000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x0000e1c0L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00011220L,0x00000000L,0x70e38f87L,0x00000000L},
!     {0x20011220L,0x00020020L,0x89108448L,0x00008010L},
!     {0x10011220L,0x00040010L,0x09314448L,0x00008008L},
!     {0x0800e221L,0x02083e08L,0x11514788L,0x00000004L},
!     {0x040111e0L,0x00100004L,0x2153e448L,0x00000002L},
!     {0x08011020L,0x00083e08L,0x213a2448L,0x00008004L},
!     {0x10011040L,0x02040010L,0x01022448L,0x00008008L},
!     {0x2000e381L,0x02020020L,0x20e77f87L,0x00000010L},
!     {0x00000000L,0x04000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x3803e7efL,0xc73bbe3dL,0xdb863ce7L,0x0000001cL},
!     {0x44011224L,0x48910808L,0x91036648L,0x00008022L},
!     {0x4c011285L,0x48910808L,0xa1036648L,0x00008026L},
!     {0x54011387L,0x081f0808L,0xc102a548L,0x0000802aL},
!     {0x54011285L,0x09910808L,0xe102a548L,0x0000802aL},
!     {0x4e011204L,0x08910848L,0x9112a4c8L,0x00008027L},
!     {0x40011224L,0x08910848L,0x891224c8L,0x00008020L},
!     {0x3803e7efL,0x073bbe31L,0xcff77e47L,0x0000001cL},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000003L,0x00000000L},
!     {0x0003e1cfL,0x87bff7efL,0xdfbf77c2L,0x00000000L},
!     {0x00013224L,0x48a4a244L,0x89122442L,0x00000000L},
!     {0x00011224L,0x4824a244L,0xa8a14482L,0x00000000L},
!     {0x00013227L,0x8e04226cL,0xa8414102L,0x00000000L},
!     {0x0001e224L,0x83842228L,0xa8a08102L,0x00000000L},
!     {0x00010224L,0x40842228L,0xd8a08242L,0x00000000L},
!     {0x00010224L,0x48843638L,0x51108442L,0x00000000L},
!     {0x0003c1ceL,0x6f1f1c10L,0x53b9c7c2L,0x00000000L},
!     {0x00000060L,0x00000000L,0x00000002L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000003L,0x00000000L},
!     {0xfe000000L,0x00000000L,0x00000000L,0x0000007fL},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00010180L,0x000000c0L,0x003001c0L,0x00000000L},
!     {0x08008081L,0x00040040L,0x00100200L,0x00000004L},
!     {0x10008082L,0x80040040L,0x00100200L,0x00000008L},
!     {0x10004084L,0x40023c78L,0x70f1c7c7L,0x00004008L},
!     {0x10004080L,0x00000244L,0x89122208L,0x00008008L},
!     {0x20002080L,0x00001e44L,0x8113e208L,0x00008010L},
!     {0x10002080L,0x00002244L,0x81120208L,0x00008008L},
!     {0x10001080L,0x00002244L,0x89122208L,0x00008008L},
!     {0x10001080L,0x00001db8L,0x70e9c787L,0x00008008L},
!     {0x10000880L,0x00000000L,0x00000000L,0x00008008L},
!     {0x08000180L,0x00000000L,0x00000000L,0x00008004L},
!     {0x00000000L,0x1fc00000L,0x00000007L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00030080L,0x981c0000L,0x00000000L,0x00000000L},
!     {0x20010000L,0x08040000L,0x00000000L,0x00000010L},
!     {0x10010000L,0x08040000L,0x00000000L,0x00000008L},
!     {0x10016387L,0x898474b8L,0x72e1d5c7L,0x00000008L},
!     {0x10019080L,0x8a042a64L,0x89122208L,0x00008008L},
!     {0x08011080L,0x8c042a44L,0x89122207L,0x00000004L},
!     {0x10011080L,0x8a042a44L,0x89122200L,0x00008008L},
!     {0x10011080L,0x89042a44L,0x89122208L,0x00008008L},
!     {0x1003bbe0L,0x98dfebe6L,0x71e1e787L,0x00000008L},
!     {0x10000000L,0x80000000L,0x01002000L,0x00000008L},
!     {0x20000000L,0x80000000L,0x01002000L,0x00000010L},
!     {0x00000007L,0x00000000L,0x03807000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00008000L,0x00000000L,0x10410000L,0x00000000L},
!     {0x00008000L,0x00000000L,0x20408000L,0x00000000L},
!     {0x0001f66eL,0xfdfbf77cL,0x20408000L,0x00000000L},
!     {0x24008224L,0x488a2248L,0x20408240L,0x00000012L},
!     {0x54008224L,0x4a842210L,0x40404540L,0x0000002aL},
!     {0x48008222L,0x8a8a1420L,0x20408480L,0x00000024L},
!     {0x00008a23L,0x85111c44L,0x20408000L,0x00000000L},
!     {0x000071d1L,0x0531887cL,0x20408000L,0x00000000L},
!     {0x00000000L,0x00000800L,0x20408000L,0x00000000L},
!     {0x00000000L,0x00000800L,0x10410000L,0x00000000L},
!     {0x00000000L,0x00003000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x20000c00L,0x10000000L,0x00000000L},
!     {0xc600a000L,0x42000810L,0x00000002L,0x00000063L},
!     {0x6c00a000L,0x45000810L,0x00000002L,0x00000036L},
!     {0x6c00a000L,0x88800808L,0xf2e1dee2L,0x00000036L},
!     {0x54000000L,0x80000800L,0x11122442L,0x0000002aL},
!     {0x54000001L,0x00000800L,0x11122442L,0x0000002aL},
!     {0x54000001L,0x00000800L,0x11122282L,0x0000002aL},
!     {0x44000102L,0x00000800L,0x11122382L,0x00000022L},
!     {0xee000102L,0x00000800L,0x11e1e102L,0x00000077L},
!     {0x00000204L,0x00000800L,0x11002102L,0x00000000L},
!     {0x00000000L,0x00000c00L,0x11002102L,0x00000000L},
!     {0x00000000L,0x003f8000L,0xe3807600L,0x00000000L}
      };
  
  bit**
--- 21,327 ----
  /* The default font, packed in hex so this source file doesn't get huge.
  ** You can replace this with your own font using pbm_dumpfont().
  */
! #define DEFAULTFONT_ROWS 298
! #define DEFAULTFONT_COLS 180
  static unsigned long defaultfont_bits[DEFAULTFONT_ROWS][(DEFAULTFONT_COLS+31)/32] = {
!     {0x00000000L,0x00000018L,0x00000f00L,0x01800000L,0x00000000L,0x00000000L},
!     {0xe380001cL,0x73600018L,0x10000c06L,0x01800000L,0x01c7e3f1L,0x000c0000L},
!     {0x6300000cL,0x63600030L,0x38000c06L,0x00000000L,0x00c66331L,0x00080000L},
!     {0x7700000eL,0xe3600030L,0x6c000c03L,0x0f8ee1dfL,0x8eee773bL,0x00080000L},
!     {0x7700000eL,0xe1200060L,0x44000c01L,0x01873339L,0x8cee773bL,0x00080000L},
!     {0x6b001fcdL,0x60000060L,0x00000c00L,0x01863319L,0x8cd66b35L,0x000800feL},
!     {0x6b00000dL,0x600000c0L,0x00000c00L,0x01863318L,0xd8d66b35L,0x00080000L},
!     {0x6300000cL,0x600000c0L,0x00000c00L,0x01863318L,0xd8c66331L,0x00080000L},
!     {0x6300000cL,0x6000c180L,0x00000c00L,0x01873338L,0x70c66331L,0x00080000L},
!     {0xf780001eL,0xf000c180L,0x00000c00L,0x0186e1d8L,0x71eff7fbL,0x000c0000L},
!     {0x00000000L,0x00018300L,0x00000c00L,0x01860018L,0x60000000L,0x00000000L},
!     {0x00000000L,0x00010300L,0x00ff8f00L,0x01860018L,0x60000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x0f0f003dL,0xf0000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0xe3800000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000001c7L},
!     {0x63000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000c6L},
!     {0x77000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000eeL},
!     {0x77000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000eeL},
!     {0x6b000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000d6L},
!     {0x6b000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000d6L},
!     {0x63000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000c6L},
!     {0x63000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000c6L},
!     {0xf7800000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000001efL},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000001c7L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000c6L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000eeL},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000eeL},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000d6L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000d6L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000c6L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000c6L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000001efL},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0xff800000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000060L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000003L,0x00000060L,0x60000001L,0x86000000L,0x00000003L,0x00000000L},
!     {0x00000003L,0x036140f8L,0x901e0c03L,0x03008000L,0x00000003L,0x000001c7L},
!     {0x00000003L,0x03614198L,0x90360c03L,0x0302a040L,0x00000006L,0x000000c6L},
!     {0x00000003L,0x0367f180L,0x60301806L,0x0181c040L,0x00000006L,0x000000eeL},
!     {0x00000003L,0x012140e0L,0x0c181006L,0x0181c040L,0x0000000cL,0x000000eeL},
!     {0x00000003L,0x00014070L,0x301d0006L,0x018223f8L,0x00fe000cL,0x000000d6L},
!     {0x00000002L,0x0007f018L,0xcc370006L,0x01800040L,0x00000018L,0x000000d6L},
!     {0x00000000L,0x00014198L,0x12660006L,0x01800040L,0x00000018L,0x000000c6L},
!     {0x00000003L,0x000141f0L,0x126f0006L,0x01800040L,0x60001830L,0x000000c6L},
!     {0x00000003L,0x00014060L,0x0c398003L,0x03000000L,0x60001830L,0x000001efL},
!     {0x00000000L,0x00000060L,0x00000003L,0x03000000L,0xc0000060L,0x00000000L},
!     {0xff800000L,0x00000000L,0x00000001L,0x86000000L,0x80000060L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000701L,0x83c1e018L,0x7e0f3f0fL,0x07800000L,0x00000000L,0x00000000L},
!     {0x00000d87L,0x86633038L,0x60182319L,0x8cc00000L,0x0000001fL,0x000001c7L},
!     {0x000018c1L,0x86603078L,0x60300319L,0x8cc00000L,0x1c00e019L,0x000800c6L},
!     {0x000018c1L,0x80603058L,0x60300619L,0x8cc180c0L,0x70003811L,0x000800eeL},
!     {0x000018c1L,0x8060e0d8L,0x7c36060fL,0x0cc180c1L,0xc0fe0e01L,0x000800eeL},
!     {0x000018c1L,0x80c02098L,0x463b0619L,0x87c00003L,0x00000307L,0x000000d6L},
!     {0x000018c1L,0x81803198L,0x06330619L,0x80c00001L,0xc0000e06L,0x000000d6L},
!     {0x000018c1L,0x830031fcL,0x06330c19L,0x80c00000L,0x70fe3800L,0x000000c6L},
!     {0x00000d81L,0x86033018L,0x66330c19L,0x818180c0L,0x1c00e006L,0x000000c6L},
!     {0x00000707L,0xe7e1e03cL,0x3c1e0c0fL,0x0f0180c0L,0x00000006L,0x000001efL},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000180L,0x00000000L,0x00000000L},
!     {0xff800000L,0x00000000L,0x00000000L,0x00000100L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000f0fL,0x8fe0ebf1L,0xfeff1ebdL,0xefc1ffbbL,0xe1c7e79eL,0x000001c7L},
!     {0x00001883L,0x8631b998L,0xc6633398L,0xc3006331L,0x80c66333L,0x000000c6L},
!     {0x00001386L,0xc633198cL,0xc6636198L,0xc3006361L,0x80ee7361L,0x000800eeL},
!     {0x00001686L,0xc633018cL,0xd0686018L,0xc30063c1L,0x80ee7361L,0x000800eeL},
!     {0x00001486L,0xc7e3018cL,0xf078601fL,0xc30063e1L,0x80d66b61L,0x000800d6L},
!     {0x0000168cL,0x6633018cL,0xd06867d8L,0xc30c6331L,0x8cd66b61L,0x000800d6L},
!     {0x000013cfL,0xe633018cL,0xc6606198L,0xc30c6331L,0x8cc66761L,0x000800c6L},
!     {0x0000180cL,0x66319998L,0xc6603198L,0xc30c6319L,0x8cc66733L,0x000000c6L},
!     {0x00000f1eL,0xffe0f3f1L,0xfef81fbdL,0xefc7c79fL,0xfdeff31eL,0x000001efL},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0xff800000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x000000f1L,0x80780000L,0x00000000L},
!     {0x00003f87L,0x8fe1ebfdL,0xeff7fbf9L,0xfcf7f0c1L,0x80180800L,0x000001c7L},
!     {0x000018ccL,0xc6333b6cL,0xc6633199L,0x986630c0L,0xc0181c00L,0x000000c6L},
!     {0x000018d8L,0x66331b6cL,0xc6633599L,0x8cc660c0L,0xc0183600L,0x000000eeL},
!     {0x000018d8L,0x66330060L,0xc663358fL,0x0cc0c0c0L,0x60182200L,0x000000eeL},
!     {0x00001998L,0x6661f060L,0xc6363586L,0x0780c0c0L,0x60180000L,0x000000d6L},
!     {0x00001f18L,0x67c01860L,0xc6363b8fL,0x030180c0L,0x30180000L,0x000000d6L},
!     {0x00001818L,0x66631860L,0xc6363b99L,0x830330c0L,0x30180000L,0x000000c6L},
!     {0x0000180cL,0xc6339860L,0xc61c3199L,0x830630c0L,0x18180000L,0x000000c6L},
!     {0x00003e07L,0x8f3af0f0L,0x7c1c31b9L,0xcfc7f0c0L,0x18180000L,0x000001efL},
!     {0x00000007L,0xa0000000L,0x00000000L,0x000000c0L,0x0c180000L,0x00000000L},
!     {0xff80000dL,0xc0000000L,0x00000000L,0x000000f0L,0x0c78007fL,0x000c0000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x0e00001cL,0x000f0038L,0x0180c701L,0xe0000000L,0x00000000L},
!     {0x00000600L,0x0600000cL,0x00180018L,0x0180c300L,0x60000000L,0x000001c7L},
!     {0x00000600L,0x0600000cL,0x00180018L,0x00000300L,0x60000000L,0x000000c6L},
!     {0x0000030fL,0x86e1e8ecL,0x783e1ddbL,0x8787c338L,0x636cee1eL,0x000000eeL},
!     {0x00000100L,0xc733399cL,0xcc18339cL,0xc180c360L,0x61b67333L,0x000000eeL},
!     {0x00000000L,0xc636198dL,0x86183198L,0xc180c3c0L,0x61b66361L,0x000800d6L},
!     {0x0000000fL,0xc636018dL,0xfe183198L,0xc180c3c0L,0x61b66361L,0x000800d6L},
!     {0x00000018L,0xc636018dL,0x80183198L,0xc180c360L,0x61b66361L,0x000800c6L},
!     {0x00000019L,0xc733199cL,0xce183398L,0xc180c330L,0x61b66333L,0x000000c6L},
!     {0x0000000eL,0xeee1f0eeL,0x7c3e1dbdL,0xe7e0c739L,0xfbb7f79eL,0x000001efL},
!     {0x00000000L,0x00000000L,0x00000180L,0x0000c000L,0x00000000L,0x00000000L},
!     {0xff800000L,0x00000000L,0x00000180L,0x0000c000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000f00L,0x00078000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x000000c0L,0x00000000L,0x00000030L,0x60600000L,0x00000000L},
!     {0x00000000L,0x000000c0L,0x00000000L,0x00000060L,0x60300000L,0x000001c7L},
!     {0x00000000L,0x000000c0L,0x00000000L,0x00000060L,0x60300000L,0x000000c6L},
!     {0x00003b87L,0x7771f9f9L,0xcef7e1f9L,0xdc77e060L,0x60300000L,0x000000eeL},
!     {0x00001cccL,0xe38318c0L,0xc6636d99L,0x8c646060L,0x60303200L,0x000000eeL},
!     {0x000018ccL,0x630300c0L,0xc6636d8fL,0x0c60c0c0L,0x60187e00L,0x000000d6L},
!     {0x000018ccL,0x6301f0c0L,0xc6366d86L,0x06c18060L,0x60304c00L,0x000000d6L},
!     {0x000018ccL,0x630018c0L,0xc6363f0fL,0x06c30060L,0x60300000L,0x000000c6L},
!     {0x00001cccL,0xe30318ccL,0xce1c3319L,0x83862060L,0x60300000L,0x000000c6L},
!     {0x00001b87L,0x67e3f078L,0x771c3339L,0xc387e060L,0x60300000L,0x000001efL},
!     {0x00001800L,0x60000000L,0x00000000L,0x03000060L,0x60300000L,0x00000000L},
!     {0xff801800L,0x60000000L,0x00000000L,0x03000030L,0x60600000L,0x00000000L},
!     {0x00003c00L,0xf0000000L,0x00000000L,0x0f800000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000001c7L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000c6L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000eeL},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000eeL},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000d6L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000d6L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000c6L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000c6L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000001efL},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0xff800000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000001c7L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000c6L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000eeL},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000eeL},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000d6L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000d6L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000c6L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000c6L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000001efL},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0xff800000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00181f00L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x0180f001L,0xe798310dL,0x8381c000L,0x00003e1eL,0x000001c7L},
!     {0x00000000L,0x01819800L,0xc3183000L,0x0c606000L,0x00006300L,0x000000c6L},
!     {0x00000003L,0x03e1818cL,0x66187800L,0x19b1e000L,0x0000d980L,0x000000eeL},
!     {0x00000003L,0x066180f8L,0x3c184600L,0x1a3360d9L,0xfc00d580L,0x000000eeL},
!     {0x00000000L,0x0603e18cL,0x7e007180L,0x1a33a1b0L,0x04fcd980L,0x000000d6L},
!     {0x00000002L,0x0601818cL,0x18001c80L,0x19b00360L,0x0400d580L,0x000000d6L},
!     {0x00000003L,0x066180f8L,0x7e180780L,0x0c63e1b0L,0x00006300L,0x000000c6L},
!     {0x00000003L,0x03c1998cL,0x18180300L,0x038000d8L,0x00003e00L,0x000000c6L},
!     {0x00000003L,0x0183f000L,0x7e182300L,0x00000000L,0x00000000L,0x000001efL},
!     {0x00000003L,0x01800000L,0x00183e00L,0x00000000L,0x00000000L,0x00000000L},
!     {0xff800003L,0x00000000L,0x00180000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000700L,0x00000000L,0x003f0000L,0x00000001L,0x80c0e000L,0x00000000L},
!     {0x00000880L,0x01c0e030L,0x006a0000L,0x0181c003L,0x83c13080L,0x000001c7L},
!     {0x00000881L,0x02613060L,0x004a0000L,0x03836001L,0x84c26100L,0x000000c6L},
!     {0x00000881L,0x00606001L,0xce4a0000L,0x01836001L,0x88c4320cL,0x000000eeL},
!     {0x0000070fL,0xe0c03000L,0xc66a0000L,0x01836361L,0x90c9340cL,0x000000eeL},
!     {0x00000001L,0x01813000L,0xc63a0c00L,0x0181c1b3L,0xe5f6e900L,0x000000d6L},
!     {0x00000001L,0x03e0e000L,0xc60a0c00L,0x03c000d8L,0x4c2b130cL,0x000000d6L},
!     {0x00000000L,0x00000000L,0xc60a0000L,0x0003e1b0L,0x9c43271cL,0x000000c6L},
!     {0x0000000fL,0xe0000000L,0xce0a0000L,0x00000361L,0x2c864b30L,0x000000c6L},
!     {0x00000000L,0x00000000L,0xf70a0004L,0x00000002L,0x3f0c8fb1L,0x000001efL},
!     {0x00000000L,0x00000000L,0xc01f0006L,0x00000000L,0x0c1f0333L,0x00000000L},
!     {0xff800000L,0x00000000L,0xc0000002L,0x00000000L,0x0000001fL,0x00000000L},
!     {0x00000000L,0x00000000L,0xc000000eL,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000600L,0xc1c0d000L,0x3000000cL,0x0181c000L,0xc0181c00L,0x00000000L},
!     {0x00000301L,0x836160d8L,0x48000006L,0x030361b0L,0x60303633L,0x00000000L},
!     {0x00000000L,0x00000000L,0x30000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00001f0fL,0x87c3e1f0L,0xf83f8ebfL,0xdfeff7f9L,0xf8fc7e3fL,0x000001c7L},
!     {0x00000703L,0x81c0e070L,0x381c9b98L,0xcc663318L,0x6030180cL,0x000000c6L},
!     {0x00000d86L,0xc361b0d8L,0x6c1c3198L,0xcc663318L,0x6030180cL,0x000000eeL},
!     {0x00000d86L,0xc361b0d8L,0x6c3d301aL,0x0d068340L,0x6030180cL,0x000000eeL},
!     {0x00000d86L,0xc361b0d8L,0x6c2f301eL,0x0f0783c0L,0x6030180cL,0x000000d6L},
!     {0x000018ccL,0x6633198cL,0xc66d301aL,0x0d068340L,0x6030180cL,0x000000d6L},
!     {0x00001fcfL,0xe7f3f9fcL,0xfe7c3018L,0xcc663318L,0x6030180cL,0x000000c6L},
!     {0x000018ccL,0x6633198cL,0xc64c9998L,0xcc663318L,0x6030180cL,0x000000c6L},
!     {0x00003dfeL,0xff7fbfdfL,0xefdf8f3fL,0xdfeff7f9L,0xf8fc7e3fL,0x000001efL},
!     {0x00000000L,0x00000000L,0x00000400L,0x00000000L,0x00000000L,0x00000000L},
!     {0xff800000L,0x00000000L,0x00000600L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000200L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000003L,0x43006070L,0x34000e00L,0x030060e0L,0x00180000L,0x00000000L},
!     {0x00000005L,0x8180c0d8L,0x58360000L,0x0180c1b0L,0xd8300000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x40000000L,0x0000001eL,0x00000000L},
!     {0x00003f1cL,0xf3c1e0f0L,0x783c000fL,0x9eff7fbfL,0xdfcf7833L,0x000001c7L},
!     {0x0000198cL,0x66633198L,0xcc662119L,0x8c663319L,0x8d863033L,0x000000c6L},
!     {0x000018ceL,0x6c361b0dL,0x86c33332L,0xcc663319L,0x8ccc3f33L,0x000000eeL},
!     {0x000018ceL,0x6c361b0dL,0x86c31e32L,0xcc663319L,0x8c7831b6L,0x000000eeL},
!     {0x00003ccdL,0x6c361b0dL,0x86c30c34L,0xcc663319L,0x8c7831b3L,0x000000d6L},
!     {0x000018cdL,0x6c361b0dL,0x86c31e34L,0xcc663319L,0x8c303331L,0x000800d6L},
!     {0x000018ccL,0xec361b0dL,0x86c33338L,0xcc663319L,0x8c303e31L,0x000800c6L},
!     {0x0000198cL,0xe6633198L,0xcc662119L,0x8c663319L,0x8c303035L,0x000800c6L},
!     {0x00003f1eL,0x63c1e0f0L,0x783c002fL,0x07c3e1f0L,0xf8fc7877L,0x000001efL},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0xff800000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00800000L,0x30000000L,0x00008000L,0x00001000L,0x00000000L},
!     {0x00000c01L,0x81c0d000L,0x4800000cL,0x0181c000L,0xc0183800L,0x00000000L},
!     {0x00000603L,0x036160d8L,0x30000006L,0x030361b0L,0x60306c33L,0x000001c7L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x000000c6L},
!     {0x00001f0fL,0x87c3e1f0L,0xf8771e8fL,0x0783c1e1L,0xe0f0783cL,0x000000eeL},
!     {0x00000180L,0xc0603018L,0x0c1db399L,0x8cc66330L,0x6030180cL,0x000000eeL},
!     {0x00000180L,0xc0603018L,0x0c08e1b0L,0xd86c3618L,0x6030180cL,0x000000d6L},
!     {0x00001f8fL,0xc7e3f1f8L,0xfc7fe03fL,0xdfeff7f8L,0x6030180cL,0x000000d6L},
!     {0x00003198L,0xcc663319L,0x8cc86030L,0x180c0600L,0x6030180cL,0x000000c6L},
!     {0x00003399L,0xcce67339L,0x9ccdb199L,0xcce67338L,0x6030180cL,0x000000c6L},
!     {0x00001dceL,0xe773b9dcL,0xee771f0fL,0x87c3e1f1L,0xf8fc7e3fL,0x000001efL},
!     {0x00000000L,0x00000000L,0x00000800L,0x00000000L,0x00000000L,0x00000000L},
!     {0xff800000L,0x00000000L,0x00000c00L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000400L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00001c00L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00003000L,0x00000020L,0x00000000L,0x00000040L,0x00000000L,0x00000000L},
!     {0x00001983L,0x43006070L,0x34000000L,0x0300c0e0L,0x000c0000L,0x00000000L},
!     {0x00000e05L,0x8180c0d8L,0x58360000L,0x018181b0L,0xd818e009L,0x00000000L},
!     {0x00003300L,0x00000000L,0x00000c00L,0x00000000L,0x00006000L,0x00000000L},
!     {0x00000f9dL,0xc3c1e0f0L,0x783c0c0fL,0x5cee773bL,0x9dc76e71L,0x000c0000L},
!     {0x0000198eL,0x66633198L,0xcc660019L,0x8c663319L,0x8cc67331L,0x00080000L},
!     {0x000030ccL,0x6c361b0dL,0x86c37fb3L,0xcc663319L,0x8cc66331L,0x00080000L},
!     {0x000030ccL,0x6c361b0dL,0x86c30036L,0xcc663319L,0x8c6c631bL,0x00000000L},
!     {0x000030ccL,0x6c361b0dL,0x86c30c3cL,0xcc663319L,0x8c6c631bL,0x00000000L},
!     {0x0000198cL,0x66633198L,0xcc660c19L,0x8ce67339L,0x9c38730eL,0x00000000L},
!     {0x00000f1eL,0xf3c1e0f0L,0x783c002fL,0x0773b9dcL,0xee386e0eL,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x0030600cL,0x00000000L},
!     {0xff800000L,0x00000000L,0x00000000L,0x00000000L,0x0030600cL,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00f8f03eL,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L,0x00000000L},
!     {0x00000000L,0x00000018L,0x00000f00L,0x01800000L,0x00000000L,0x00000000L},
!     {0xe380001cL,0x73600018L,0x10000c06L,0x01800000L,0x01c7e3f1L,0x000c0000L},
!     {0x6300000cL,0x63600030L,0x38000c06L,0x00000000L,0x00c66331L,0x00080000L},
!     {0x7700000eL,0xe3600030L,0x6c000c03L,0x0f8ee1dfL,0x8eee773bL,0x00080000L},
!     {0x7700000eL,0xe1200060L,0x44000c01L,0x01873339L,0x8cee773bL,0x00080000L},
!     {0x6b001fcdL,0x60000060L,0x00000c00L,0x01863319L,0x8cd66b35L,0x000800feL},
!     {0x6b00000dL,0x600000c0L,0x00000c00L,0x01863318L,0xd8d66b35L,0x00080000L},
!     {0x6300000cL,0x600000c0L,0x00000c00L,0x01863318L,0xd8c66331L,0x00080000L},
!     {0x6300000cL,0x6000c180L,0x00000c00L,0x01873338L,0x70c66331L,0x00080000L},
!     {0xf780001eL,0xf000c180L,0x00000c00L,0x0186e1d8L,0x71eff7fbL,0x000c0000L},
!     {0x00000000L,0x00018300L,0x00000c00L,0x01860018L,0x60000000L,0x00000000L},
!     {0x00000000L,0x00010300L,0x00ff8f00L,0x01860018L,0x60000000L,0x00000000L},
!     {0x00000000L,0x00000000L,0x00000000L,0x0f0f003dL,0xf0000000L,0x00000000L}
      };
  
  bit**
***************
*** 219,243 ****
      int* char_widthP;
      int* char_aheightP;
      int* char_awidthP;
!     int char_row0[95];
!     int char_col0[95];
      {
      /*
      ** This routine expects a font bitmap representing the following text:
!     **
      ** (0,0)
!     **    M ",/^_[`jpqy| M
!     **
!     **    /  !"#$%&'()*+ /
!     **    < ,-./01234567 <
!     **    > 89:;<=>?@ABC >
!     **    @ DEFGHIJKLMNO @
!     **    _ PQRSTUVWXYZ[ _
!     **    { \]^_`abcdefg {
!     **    } hijklmnopqrs }
!     **    ~ tuvwxyz{|}~  ~
!     **
!     **    M ",/^_[`jpqy| M
      **
      ** The bitmap must be cropped exactly to the edges.
      **
--- 365,399 ----
      int* char_widthP;
      int* char_aheightP;
      int* char_awidthP;
!     int char_row0[255];
!     int char_col0[255];
      {
      /*
      ** This routine expects a font bitmap representing the following text:
!     ** in an 8 bit terminals.
      ** (0,0)
! 
!         M -M",/^_[`jpqyMMM -
! 
!         M                  M
!         _                  M
!         _  !"#$%&'()*+,-./ M
!         _ 0123456789:;<=>? M
!         _ @ABCDEFGHIJKLMNO M
!         _ PQRSTUVWXYZ[\]^_ M
!         _ `abcdefghijklmno M
!         _ pqrstuvwxyz{|}~  M
!         _                  M
!         _                  M
!         _  M
!         _  M
!         _  M
!         _  M
!         _  M
!         _ 
! 
!         M -M",/^_[`jpqyMMM -
! 
      **
      ** The bitmap must be cropped exactly to the edges.
      **
***************
*** 282,293 ****
  gotblankcol:
      /* Now compute character cell size. */
      d = frows - brow;
!     *char_heightP = d / 11;
!     if ( *char_heightP * 11 != d )
  	pm_error( "problem computing character cell height" );
      d = fcols - bcol;
!     *char_widthP = d / 15;
!     if ( *char_widthP * 15 != d )
  	pm_error( "problem computing character cell width" );
      *char_aheightP = brow;
      *char_awidthP = bcol;
--- 438,449 ----
  gotblankcol:
      /* Now compute character cell size. */
      d = frows - brow;
!     *char_heightP = d / 19;
!     if ( *char_heightP * 19 != d )
  	pm_error( "problem computing character cell height" );
      d = fcols - bcol;
!     *char_widthP = d / 19;
!     if ( *char_widthP * 19 != d )
  	pm_error( "problem computing character cell width" );
      *char_aheightP = brow;
      *char_awidthP = bcol;
***************
*** 295,306 ****
      /* Now fill in the 0,0 coords. */
      row = *char_heightP * 2;
      col = *char_widthP * 2;
!     for ( ch = 0; ch < 95; ++ch )
  	{
  	char_row0[ch] = row;
  	char_col0[ch] = col;
  	col += *char_widthP;
! 	if ( col >= *char_widthP * 14 )
  	    {
  	    col = *char_widthP * 2;
  	    row += *char_heightP;
--- 451,462 ----
      /* Now fill in the 0,0 coords. */
      row = *char_heightP * 2;
      col = *char_widthP * 2;
!     for ( ch = 0; ch < 255; ++ch )
  	{
  	char_row0[ch] = row;
  	char_col0[ch] = col;
  	col += *char_widthP;
! 	if ( col >= *char_widthP * 18 )
  	    {
  	    col = *char_widthP * 2;
  	    row += *char_heightP;
